Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ImportError: cannot import name DependencyWarning #164

Closed
oladipo opened this issue Jan 7, 2017 · 3 comments

Comments

@oladipo
Copy link

commented Jan 7, 2017

Error attempting to launch faraday-server.

root@kali:/faraday-dev# ./faraday-server.py
Traceback (most recent call last):
File "./faraday-server.py", line 14, in
from utils.dependencies import DependencyChecker
File "/root/faraday-dev/utils/dependencies.py", line 8, in
import pip
File "/usr/lib/python2.7/dist-packages/pip/init.py", line 21, in
from pip._vendor.requests.packages.urllib3.exceptions import DependencyWarning
ImportError: cannot import name DependencyWarning
root@kali:
/faraday-dev#

@Ezequieltbh

This comment has been minimized.

Copy link
Contributor

commented Jan 9, 2017

Hi @oladipo!
You have a problem with pip of python, i recommend upgrade pip and also urllib3 to last version for fix this problem.
If you are using kali linux distro, execute this commands:

apt-get install --only-upgrade python-pip
pip2 install -- upgrade urllib3
@f-amato

This comment has been minimized.

Copy link
Contributor

commented Jan 13, 2017

@oladipo do you have any updates on this?
Best

@Ezequieltbh Ezequieltbh closed this Feb 1, 2017

@nmaxcom

This comment has been minimized.

Copy link

commented Feb 10, 2017

Same issue here. Upgrading and urllib3 didn't help. But this did:

First remove the package from the package manager:
apt-get remove python-pip

And then install the latest version by side:
easy_install pip

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.